Subject: Re: [PATCH v4 0/8] hash.h: support choosing a separate SHA-1 for non-cryptographic uses

From: Junio C Hamano <[email-masked]>
Date: Wed, 25 Sep 2024 10:11:20 -0700

Elijah Newren <[email-masked]> writes:

>>     -    these callers are safe to use the fast (and potentially non-collision
>>     +    these callers are safe to use the unsafe (and potentially non-collision
>>          detecting) SHA-1 implementation.
>
> Is the "and potentially non-collision detecting" parenthetical comment
> still needed now that it's referred to as unsafe?  Even if we keep
> most of it, maybe we should drop the "and"?

I appreciate a careful reading like this.  The use of "unsafe"
becomes easier to understandable if we lost "potentially", e.g.

	are safe to use the unsafe SHA-1 implementation that does
	not attempt to detect collisions.

>>     -    , and generate the resulting "clone" much faster, in only 11.597 seconds
>>     +    , and generate the resulting "clone" much unsafeer, in only 11.597 seconds
>
> This fast->unsafe translation isn't so good; this one should be undone.

Or "much less safe", but that is not something we want to brag about ;-)

> ...
> This patch was also fast->unsafe translations; I identified two above
> that I think should get some tweaks.

Thanks for carefully reading.